Bug 432039 - Anaconda Fails on dosfslabel on Existing Partition
Anaconda Fails on dosfslabel on Existing Partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 10:08 EST by Richi Plana
Modified: 2008-08-01 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-01 11:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richi Plana 2008-02-08 10:08:58 EST
Description of problem:
Anaconda on 9-Alpha failed while trying to run dosfslabel on an existing (do not
format) vfat partition. The following is a snippet of the anaconda log:

anaconda 11.4.0.28 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/fsset.py", line 930, in labelDevice
    raise SystemError, "dosfslabel failed on device %s: %s" % (devicePath, msg)
  File "/usr/lib/anaconda/fsset.py", line 1740, in labelEntry
    entry.fsystem.labelDevice(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 1828, in makeFilesystems
    self.labelEntry(entry, chroot)
  File "/usr/lib/anaconda/packages.py", line 167, in turnOnFilesystems
    anaconda.backend.skipFormatRoot)
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 132, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
SystemError: dosfslabel failed on device /dev/sda2: /dosc      


Local variables in innermost frame:
chroot: /mnt/sysimage
self: <fsset.FATFileSystem instance at 0x2aaab8928950>
rc: 1
label: /dosc
entry: fsentry -- device: sda2   mountpoint: /dosc
  fsystem: vfat format: 0
  ismounted: 0  options: 'defaults'
  label: /dosc fsprofile: None

msg: /dosc      

devicePath: /dev/sda2
Comment 1 Bug Zapper 2008-05-14 01:05:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Milos Mandaric 2008-05-16 13:35:23 EDT
I also have a same problem during the installation of Fedora 9 x86_64. The bug
show up while trying to run dosfslabel on an existing vfat partition. I have get
around it by not mounting it during the installation.  
Comment 3 Andy Lindeberg 2008-08-01 11:22:06 EDT
This should be fixed in rawhide. Please try either the latest build or F10
Alpha, and feel free to reopen this report if you encounter the same problem.

Note You need to log in before you can comment on or make changes to this bug.